import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;
import static ru.ifmo.testlib.Outcome.Type.*;

public class Check implements Checker {
    public Outcome outcome(Outcome.Type type, final String format) {
        return new Outcome(type, format);
    }

    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        int expected = ans.nextInt();
        int actual = ouf.nextInt();

        if (expected != actual) {
            return outcome(WA, String.format("expected %d, found %d", expected, actual));
        }

        return outcome(OK, String.format("answer = %d", expected));
    }
}
