#include <cstdio>
#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main() {
    freopen("cubes.in", "r", stdin);
    freopen("cubes.out", "w", stdout);

    int n;
    cin >> n;
    vector<int> a(n);
    for (int i = 0; i < n; i++) {
        cin >> a[i];
    }
    sort(a.begin(), a.end());
    int ans = 1e9;
    for (int i = 0; i < n; i++) {
        int suml = 0, sumr = 0;
        for (int j = 0; j < i; j++) {
            suml += a[i] - a[j];
        }
        for (int j = i + 1; j < n; j++) {
            sumr += a[j] - a[i];
        }
        ans = min(ans, max(suml, sumr));
    }
    cout << ans << endl;

    return 0;
}
