#include <bits/stdc++.h>

int main() {
    freopen("longqueue.in", "r", stdin);
    freopen("longqueue.out", "w", stdout);
    int n, goodMood;
    scanf("%d%d", &n, &goodMood);
    assert(n <= 1000);
    std::vector <int> moods(n);
    std::vector <int> sumMood(n, 0);
    for (int i = 0; i < n; i++) {
        scanf("%d", &moods[i]);
        sumMood[i] = (!i ? 0 : sumMood[i - 1]) + (moods[i] >= goodMood);
    }
    int m;
    scanf("%d", &m);
    assert(m <= 1000);
    int queueBegin = 0;
    int goodMoodLeave = 0;
    for (int i = 0; i < m; i++) {
        int type;
        scanf("%d", &type);
        if (type == 1) {
            int newMood;
            scanf("%d", &newMood);
            sumMood.push_back(sumMood.back() + (newMood >= goodMood));
            moods.push_back(newMood);
        } else if (type == 2) {
            if (moods[queueBegin] >= goodMood) {
                ++goodMoodLeave;
            }
            ++queueBegin;
        } else {
            int id;
            scanf("%d", &id);
            int index = queueBegin + id - 1;
            printf("%d\n", (index < 0 ? 0 : sumMood[index]) - goodMoodLeave);
        }
    }
    return 0;
}