#include <cstdio>
#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main() {
    freopen("cubes.in", "r", stdin);
    freopen("cubes.out", "w", stdout);

    int n;
    cin >> n;
    vector<int> a(n);
    for (int i = 0; i < n; i++) {
        cin >> a[i];
    }
    sort(a.begin(), a.end());
    int ans = 1e9;
    for (int i = 0; i <= 1000; i++) {
        int suml = 0, sumr = 0;
        for (int j = 0; j < n; j++) {
            if (a[j] < i) suml += i - a[j];
            if (a[j] > i) sumr += a[j] - i;
        }
        ans = min(ans, max(suml, sumr));
    }
    cout << ans << endl;

    return 0;
}
